# mchammers

```{include} ../README.md
:start-after: <!-- SPHINX-START -->
```

![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/zandalman/mchammers/ci.yml?logo=Github&label=CI)
![GitHub Actions Workflow Status](https://img.shields.io/github/actions/workflow/status/zandalman/mchammers/cd.yml)
![Codecov](https://img.shields.io/codecov/c/github/zandalman/mchammers?logo=Codecov)

![PyPI - Version](https://img.shields.io/pypi/v/mchammers)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mchammers)

**mchammers** is a small pedagogical python package for learning how to sample
probability distributions using common methods found in astrophysical research.
This package includes a basic Metropolis-Hastings Markov Chain Monte Carlo
(MCMC) method and a Nested Sampling MCMC method.

Authors: Zack Andalman, Yue Pan, James Sunseri

```{toctree}
:maxdepth: 2
:caption: Getting Started
:hidden:

notebooks/tutorial
```

```{toctree}
:maxdepth: 2
:caption: API
:hidden:

api/mchammers
```
